<?php

use WSCOMUN\WSComunFClient;

ini_set("soap.wsdl_cache_enabled", 0);

require_once '../../include/WSComunFClient.php';
$keyGDE2 		= WSComunFClient::KEYCLIENTE_GDE2;



/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
		$keyGDE2 => 'https://instrumental-pre.gva.es/pai_bus_ins/GDE/GDEService_v2_00?wsdl'	// Instrumentales
);

/* Datos del certificado utilizado para las pruebas */
$v_opciones = array
(
		'certFile'	=> realpath('../../cert/SELLO-SCOR-PRE.crt'),
		'keyFile'	=> realpath('../../cert/SELLO-SCOR-PRE.key'),
		'passPhrase'=> null,
		'nsCert'=>	'2039d6a41976eedf',
		'idApp'=>	'WSCOMUN'
);


//Es necesario crear previamente la carpeta con el script 'crearCarpeta'

//Parametros de invocacin generales
$codApp = 'RABA';
$path = '/2015_v2_test_soapUI_eliminar';

try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_GDE2, $v_wsdl, $v_opciones);
	$respuestaGDE2 = $clienteSIRCA->eliminarCarpetaRecursiva($codApp, $path);

	//var_dump($respuestaGDE2);die;
	echo "Eliminacion recursiva de la carpeta '" . $path . "' efectuada correctamente? " . ($respuestaGDE2['respuesta']['correcto'] != 'false' ? "True" : "False");
}
catch (\WSCOMUN\GDE\GDE2Exception $e)
{
	print("\n<br/>Excepcion GDE2: \n<br/>");
	print("  - CODIGO: " . $e->getCodeAsString());print("\n<br/>");
	print("  - MENSAJE: " . $e->getMessage());print("\n<br/>");
	var_dump($e);
}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print('</pre>');
}

?>