<?php

use WSCOMUN\WSComunFClient;

ini_set("soap.wsdl_cache_enabled", 0);

require_once '../../include/WSComunFClient.php';
$keyGDE2 		= WSComunFClient::KEYCLIENTE_GDE2;

/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
	//$keyGDE2 => 'https://instrumental-pre.gva.es/pai_bus_ins/GDE/GDEService_v2_00?wsdl'	// Instrumentales
	$keyGDE2 => 		'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/GDE/GdeWSService_v2_00?wsdl'
);

/* Datos del certificado utilizado para las pruebas */
$v_datosCertif = array
(
	'certFile'	=> realpath('../../cert/SELLO-SCOR-PRE.crt'),
	'keyFile'	=> realpath('../../cert/SELLO-SCOR-PRE.key'),
	'passPhrase'=> null
);

$vTrazabilidad = array
(
	'nsCert'=>	'2039d6a41976eedf',
	'idApp'=>	'GASPAR'
);


//print("\n<br>WSDL al que se accede: <a href='".$v_wsdl[WSComunFClient::KEYCLIENTE_GDE2]."'>Safe PRE GDE2</a><br/><br/>\n");

//Parametros de invocacin generales
$codApp = 'GASP';

//Parametros de invocacin insertarDocumentoGDE
$contenidoPDF = file_get_contents('../PDFTest_100K.pdf');
$contenidoPDFB64 = base64_encode ($contenidoPDF);
$nombreDoc = 'pruebaGDE2_'.date('YmdHis').'.pdf';
print("\n\n<br><br><br>Prueba de GDE: insertarDocumentoGDE2($codApp, CONTENIDOPDF, $nombreDoc)<br>\n");
try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_GDE2, $v_wsdl, array_merge($v_datosCertif, $vTrazabilidad));
	$clienteSIRCA->setDebugMode(true);
	$clienteSIRCA->loadTracertPAI($vTrazabilidad);


	$respuestaGDE = $clienteSIRCA->insertarDocumentoGDE2($codApp, $contenidoPDFB64, $nombreDoc);

	$refDoc = $respuestaGDE['respuesta']['referenciaDocumento'];
}
catch (WSCOMUN\GDE\GDE2Exception $e)
{
	print("\n<br/>Excepcion GDE2: \n<br/>");
	print("  - ERROR: " . $e);print("\n<br/>");
	print("  - CODIGO: " . $e->getCode());print("\n<br/>");
	print("  - MENSAJE: " . $e->getMessage());

	var_dump($e);die;
}
catch (Exception $e)
{
	print_r($e);die;
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print($e->getTraceAsString());print("\n<br/>");
	print('<pre>');
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print($e->getMessage());
	print('</pre>');
};;
print("\n\n<br><br><br/>Referencia: $refDoc<br><br>\n\n");



?>