<?php

use WSCOMUN\WSComunFClient;

require_once '../../../include/WSComunFClient.php';
$keyAutentica 	= WSComunFClient::KEYCLIENTE_AUTENTICA;
$keyFirma 		= WSComunFClient::KEYCLIENTE_FIRMA;
$keyAutoriza 	= WSComunFClient::KEYCLIENTE_AUTORIZA;
$tipoBusquedaUsuario = WSComunFClient::TIPOBUSQUEDA_USUARIO;
$tipoBusquedaGrupo = WSComunFClient::TIPOBUSQUEDA_GRUPO;


/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
	$keyAutentica 	=> 'https://innovacion-pre.gva.es/pai_bus_inno/SAFE/Autenticacion_v1_00?wsdl',
	$keyFirma 		=> 'https://innovacion-pre.gva.es/pai_bus_inno/SAFE/Firma_v1_00?wsdl',
	$keyAutoriza	=> 'https://innovacion-pre.gva.es/pai_bus_inno/SAFE/AutorizacionHDFI_v1_00?wsdl'
);


$v_opciones = array
(
		'enableWSSecurity' 		=> false, //Innovacion
		'enableTrazabilidadPAI' => true,
		'idApp' 				=> 'WSCOMUN',
);

$userHDFI = '37178'; //Juan Carlos
$idAplicacion = '175'; //PM-Reservas_parque_Movil
$usuarioDNI = '25407951N'; //Juan Carlos

print("\n\n<br/><br><br/>Prueba de autorizacin: retornaAutorizacionWS()<br/>\n");
print("WSDL al que se accede: <a href='".$v_wsdl[$keyAutoriza]."'>Safe PRE Autorizacin HDFI</a><br/><br/>\n");

try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient($keyAutoriza, $v_wsdl, $v_opciones);
	$clienteSIRCA->setDebugMode(true);
	$listaAutorizacion = $clienteSIRCA->retornaAutorizacionWS($userHDFI, $idAplicacion);
	print("\n<br/>Resultado:\n<br/>");
	foreach ($listaAutorizacion as $registro)
	{
		print("\n<br/>Nif:".$registro['nif'].",\t Tipo User:".$registro['usrTipo']."\t");
		print("Id. Grupo:".$registro['idGrupo'].",\t Rol:".$registro['idRol'].",\t Aplicacin:".$registro['idAplicacion']."\n<br/>");
	}
	print("\n<br/>");
	unset($clienteSIRCA);unset($listaAutorizacion);
}
catch (Exception $e)
{
	print("\n<br/>Excepcin: \n<br/>");
	print("Error de autenticacin<br/>\n");
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print($e->getMessage());
	die;
}

print("\n\n<br/><br><br/>Prueba de autorizacin: retornaTodasAutorizacionesWS()<br/>\n");
print("WSDL al que se accede: <a href='".$v_wsdl[$keyAutoriza]."'>Safe PRE Autorizacin HDFI</a><br/><br/>\n");

try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient($keyAutoriza, $v_wsdl, $v_opciones);
	$clienteSIRCA->setDebugMode(true);
	$listaAutorizacion = $clienteSIRCA->retornaTodasAutorizacionesWS($userHDFI);

	print("\n<br/>Resultado:\n<br/>");
	foreach ($listaAutorizacion as $registro)
	{
		print("\n<br/>".
				"Cod. Usr: ".$registro['usrCodigo'].", ".
				"Tipo Usr: ".$registro['usrTipo'].", ".
				"Id. Grupo: ".$registro['idGrupo'].", ".
				"Id. Rol: ".$registro['idRol']
			."\n<br/>");
	}
	print("\n<br/>");
	unset($clienteSIRCA);unset($listaAutorizacion);
}
catch (Exception $e)
{
	print("\n<br/>Excepcin: \n<br/>");
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print("Error de autenticacin<br/>\n");
	print_r($vDebugInfo);
	print($e->getMessage());
	die;
}



print("\n\n<br/><br><br/>Prueba de autorizacin: retornaTodasAutorizacionesDNIWS() [tipo de bsqueda: USUARIO]<br/>\n");
print("WSDL al que se accede: <a href='".$v_wsdl[$keyAutoriza]."'>Safe PRE Autorizacin HDFI</a><br/><br/>\n");

try
{
	$clienteSIRCA = WSComunFClient::makeWSClient($keyAutoriza, $v_wsdl, $v_opciones);
	$clienteSIRCA->setDebugMode(true);
	$listaAutorizacion = $clienteSIRCA->retornaTodasAutorizacionesDNIWS($usuarioDNI, $tipoBusquedaUsuario);

	print("\n<br/>Resultado:\n<br/>");
	foreach ($listaAutorizacion as $registro)
	{
		print("\n<br/>".
				"Cod. Usr: ".$registro['usrCodigo'].", ".
				"Tipo Usr: ".$registro['usrTipo'].", ".
				"Id. Grupo: ".$registro['idGrupo'].", ".
				"Id. Rol: ".$registro['idRol']
				."\n<br/>");
	}
	print("\n<br/>");
	unset($clienteSIRCA);
}
catch (Exception $e)
{
	print("\n<br/>Excepcin: \n<br/>");
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print("Error de autenticacin<br/>\n");
	print_r($vDebugInfo);
	print($e->getMessage());
	die;
}

print("\n\n<br/><br><br/>Prueba de autorizacin: retornaTodasAutorizacionesDNIWS() [tipo de bsqueda: GRUPO]<br/>\n");
print("WSDL al que se accede: <a href='".$v_wsdl[WSComunFClient::KEYCLIENTE_AUTORIZA]."'>Safe PRE Autorizacin HDFI</a><br/><br/>\n");

try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient($keyAutoriza, $v_wsdl, $v_opciones);
	$clienteSIRCA->setDebugMode(true);
	$listaAutorizacion = $clienteSIRCA->retornaTodasAutorizacionesDNIWS($usuarioDNI, $tipoBusquedaGrupo);

	print("\n<br/>Resultado:\n<br/>");
	foreach ($listaAutorizacion as $registro)
	{
		print("\n<br/>".
				"Cod. Usr: ".$registro['usrCodigo'].", ".
				"Tipo Usr: ".$registro['usrTipo'].", ".
				"Id. Grupo: ".$registro['idGrupo'].", ".
				"Id. Rol: ".$registro['idRol']
				."\n<br/>");
	}
	print("\n<br/>");
	unset($clienteSIRCA);unset($listaAutorizacion);
}
catch (Exception $e)
{
	print("\n<br/>Excepcin: \n<br/>");
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print("Error de autenticacin<br/>\n");
	print_r($vDebugInfo);
	print($e->getMessage());
	die;
}





?>