<?php

use WSCOMUN\WSComunFClient;

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);


require_once '../../include/WSComunFClient.php';
$keySalt = WSComunFClient::KEYCLIENTE_SALT;



$v_wsdl = array
(
		//$keySalt  => 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/SALT/SaltService_v1_00?wsdl',
		$keySalt  => 'https://instrumental-pre.gva.es/pai_bus_ins/SALT/SaltService_v1_00?wsdl'
);

/* Datos del certificado utilizado para las pruebas */
$v_datosCertif = array
(
		'certFile'	=> realpath('../../cert/SELLO-SCOR-PRE.crt'),
		'keyFile'	=> realpath('../../cert/SELLO-SCOR-PRE.key'),
		'passPhrase'=> null
);

$vTrazabilidad = array
(
		'nsCert'=>	null, //'2039d6a41976eedf',//2039D6A41976EEDF
		'idApp'=>	'GASPAR'
);



$textoCastellanoOrig = utf8_encode('Debajo de la cama tiene la mano Maria');
$textoValencianoOrig = utf8_encode('Plou poc per per a lo poc que plou, plou prou');

print("\n\n<br/><br><br/>Prueba de traduccin SALT<br/>\n");
print("WSDL al que se accede: <a href='".$v_wsdl[$keySalt]."'>SALTService</a><br/><br/>\n");


print("\n\n<br/><br><br/>Prueba de traduccin: castellanoValenciano('".utf8_decode($textoCastellanoOrig)."')<br/>\n");
try
{
	set_time_limit(40);
	$clienteSALT = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_SALT, $v_wsdl, array_merge($v_datosCertif, $vTrazabilidad));
	$clienteSALT->setDebugMode(true);

	$textoValencianoTraduc = utf8_decode($clienteSALT->castellanoValenciano($textoCastellanoOrig));
	print("\n<br/>Original:\n <br> ".utf8_decode($textoCastellanoOrig)." \n<br><br>\nResultado en Valenciano:\n<br/>".$textoValencianoTraduc);
	unset($clienteSALT);
}
catch (Exception $e)
{
	print("\n<br/>Excepcin: \n<br/>");
	print("Error de traduccin<br/>\n");
	$vDebugInfo = $clienteSALT->getDebugInfo();
	print_r($vDebugInfo);
	print($e->getMessage());
	die;
}


print("\n\n<br/><br><br/>Prueba de traduccin: valencianoCastellano('".utf8_decode($textoValencianoOrig)."')<br/>\n");
try
{
	set_time_limit(40);
	$clienteSALT = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_SALT, $v_wsdl, array_merge($v_datosCertif, $vTrazabilidad));

	$clienteSALT->setDebugMode(true);
	//$vTrazabilidad['nsCert'] = $clienteSALT->getCertificateSerial();
	$clienteSALT->loadTracertPAI($vTrazabilidad);
	$textoCastellanoTraduc = utf8_decode($clienteSALT->valencianoCastellano($textoValencianoOrig));

	print("\n<br/>Original:\n <br> ".utf8_decode($textoValencianoOrig)." \n<br><br>\nResultado en Valenciano:\n<br/>".$textoCastellanoTraduc);
	unset($clienteSALT);
}
catch (Exception $e)
{
	print("\n<br/>Excepcin: \n<br/>");
	print("Error de traduccin<br/>\n");
	$vDebugInfo = $clienteSALT->getDebugInfo();
	print_r($vDebugInfo);
	print($e->getMessage());
	die;
}


?>